<template>
  <li class="dropdown nav-item">
    <a id="dropdownBasic3" href="#" data-toggle="dropdown" class="nav-link position-relative dropdown-toggle" @click="toggleFlag = !toggleFlag">
      <i class="ft-flag font-medium-3 blue-grey darken-4"/><span class="selected-language d-none"/>
    </a>
    <div :class="{show : toggleFlag}" class="dropdown-menu dropdown-menu-right text-left">
      <a href="" class="dropdown-item py-1" @click="setLang('en')" >
        <img src="app-assets/img/flags/us.png" class="langimg">
        <span> English</span>
      </a>
      <a href="" class="dropdown-item py-1" @click="setLang('es')" >
        <img src="app-assets/img/flags/es.png" class="langimg">
        <span> Spanish</span>
      </a>
      <a href="" class="dropdown-item" @click="setLang('fr')" >
        <img src="app-assets/img/flags/de.png" class="langimg">
        <span> French</span>
      </a>
    </div>
  </li>
</template>
<script>
import { getDisplay, mapping } from '~/lib/util/locale'

export default {
  data() {
    return {
      displayLocale: getDisplay(this.$store.state.locale),
      localeMapping: mapping,
      toggleFlag: false
    }
  },
  methods: {
    setLang(lang) {
      this.displayLocale = getDisplay(lang)
      this.$store.commit('SET_LANG', lang)
      this.$i18n.locale = lang
    }
  }
}
</script>
